﻿using ChartSaveAsImage;
using Syncfusion.SfChart.XForms.UWP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms.Platform.UWP;
using NativeChart = Syncfusion.UI.Xaml.Charts;
using System.IO;
using Windows.Graphics.Imaging;
using Windows.Storage;
using ChartSaveAsImage.UWP;
using Syncfusion.SfChart.XForms;

[assembly: ExportRenderer(typeof(ChartExt), typeof(ChartSaveAsImage.UWP.CustomRenderer))]
[assembly: Xamarin.Forms.Dependency(typeof(CustomRenderer))]
namespace ChartSaveAsImage.UWP
{
   public class CustomRenderer : SfChartRenderer, IChartDependencyService
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
        }

        public async void SaveChart(ChartExt chart)
        {
            NativeChart.SfChart nativeChart = GetNativeObject(typeof(SfChart),chart) as NativeChart.SfChart;

            StorageFolder storageFolder = KnownFolders.PicturesLibrary;
            StorageFile sampleFile = await storageFolder.CreateFileAsync("samplechart.png", CreationCollisionOption.ReplaceExisting);
            var x = await sampleFile.OpenAsync(Windows.Storage.FileAccessMode.ReadWrite);
            Guid encoder = BitmapEncoder.PngEncoderId;
            await Task.Delay(1000);
            nativeChart.Save(x, encoder);
           
        } 
    }
}
