﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection.Emit;
using System.Text;

using Xamarin.Forms;

namespace ChartSaveAsImage
{
    public class Page1 : ContentPage
    {
        ChartExt chart;

        public Page1()
        {

            StackLayout stack = new StackLayout();
            chart = new ChartExt();
            chart.HeightRequest = 500;
            chart.WidthRequest = 750;
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();
            chart.Series.Add(new ColumnSeries()
            {
                ItemsSource = new ViewModel().Collection,
                XBindingPath = "XValue",
                YBindingPath = "YValue"
            });

            Button button = new Button()
            {
                VerticalOptions = LayoutOptions.Center,
                HorizontalOptions = LayoutOptions.Center,
                HeightRequest = 50,
                WidthRequest = 100,
                Text = "Save"
            };
            button.Clicked += Button_Clicked;

            stack.Children.Add(chart);
            stack.Children.Add(button);
            this.Content = stack;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
           
           
            DependencyService.Get<IChartDependencyService>().SaveChart(chart);
        }
    }

    public class ChartExt : SfChart
    {

    }
}
